﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.IO;

namespace PDF2Vector
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        [DllImport("pdf2vec.dll")]
        internal static extern int VeryPDF_PDF2Vector(string strCommandLine);

        [DllImport("pdf2vec.dll")]
        internal static extern int VeryPDF_PDF2VectorFromMemory([MarshalAs(UnmanagedType.LPArray)]byte[] lpPDFData, int nDataLen, string lpstrOutFile, string strCommandLine);

        private void button1_Click(object sender, EventArgs e)
        {
            string strCurrentFolder = Application.StartupPath;
            string pdfFullFilePath = strCurrentFolder + @"\test.pdf";
            string vecFullFilePath = strCurrentFolder + @"\test.swf";
            // Convert PDF file to SWF file using dll
            string PdfToVecCommand = @"pdf2vec -$ XXXXXXXXXXXXXXXXXXXX -callfromdotnet ";
            PdfToVecCommand += @"""" + pdfFullFilePath + @""" """ + vecFullFilePath + @"""";
            System.Diagnostics.Debug.WriteLine(String.Format("command line: {0}", PdfToVecCommand));
            MessageBox.Show(PdfToVecCommand);
            int nRet = VeryPDF_PDF2Vector(PdfToVecCommand);
        }

        private unsafe void button2_Click(object sender, EventArgs e)
        {
            string strCurrentFolder = Application.StartupPath;
            string pdfFullFilePath = strCurrentFolder + @"\test.pdf";
            string vecFullFilePath = strCurrentFolder + @"\test.swf";

            byte[] pdfBytes = null;
            // Load PDF file to byte array
            FileInfo pdfFileInfo = new FileInfo(pdfFullFilePath);
            long numBytes = pdfFileInfo.Length;
            using (FileStream fStream = new FileStream(pdfFullFilePath, FileMode.Open, FileAccess.Read))
            {
                using (BinaryReader br = new BinaryReader(fStream))
                {
                    pdfBytes = br.ReadBytes((int)numBytes);
                }
            }
            string PdfToVecCommand = @"pdf2vec -$ XXXXXXXXXXXXXXXXXXXX -swfburst2 -callfromdotnet";
            MessageBox.Show(PdfToVecCommand);
            int nRet = VeryPDF_PDF2VectorFromMemory(pdfBytes, pdfBytes.Length, vecFullFilePath, PdfToVecCommand);
        }
    }
}
